# arm_fir_lattice_instance_f32 Struct Reference

Instance structure for the floating-point FIR lattice filter. More...

`#include <arm_math.h>`

## Data Fields

uint16_t | numStages
float32_t * | pState
float32_t * | pCoeffs

## Detailed Description

Instance structure for the floating-point FIR lattice filter.

Definition at line 3653 of file arm_math.h.

## Field Documentation

uint16_t arm_fir_lattice_instance_f32::numStages

number of filter stages.

Definition at line 3655 of file arm_math.h.

float32_t* arm_fir_lattice_instance_f32::pState

points to the state variable array. The array is of length numStages.

Definition at line 3656 of file arm_math.h.

float32_t* arm_fir_lattice_instance_f32::pCoeffs

points to the coefficient array. The array is of length numStages.

Definition at line 3657 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines